
Foreman - Bug #18240

foreman-proxy reports an error about the mcollective certificate

01/25/2017 09:49 AM - Vincent Lamers

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps to reproduce:

su - foreman-proxy

mco choria request_cert

Sign the csr in foreman.

Everythings works fine. So initiating a puppet run from the GUI etc. But also mcollective commands on the CLI. Only this error

appears after clicking Infrastructure -> smart proxies - puppet CA -> certificates

I'm running foreman 1.13.3

Oops, we're sorry but something went wrong No route matches {:action=>"update", :controller=>"puppetca",

:id=>#<SmartProxies::PuppetCACertificate:0x00000009e98078 @name="foreman-proxy.mcollective/OU=mcollective", @state=nil,

@fingerprint=nil, @valid_from=2017-01-24 08:56:28 UTC, @expires_at=2022-01-24 08:56:28 UTC,

@status_object=#<ProxyStatus::PuppetCA:0x00000009d204c0 @proxy=#<SmartProxy id: 1, name: "puppet4.wrt-nm.internl.net",

url: "https://puppet4.wrt-nm.internl.net:8443&quot;, created_at: "2016-11-18 14:42:25", updated_at: "2016-11-18 14:42:25",

expired_logs: "0">, @cache_duration=180 seconds, @cache=true, @api=#<ProxyAPI::Puppetca:0x00000009dc6cf8 @url="

https://puppet4.wrt-nm.internl.net:8443/puppet/ca&quot;, @connect_params={:timeout=>60, :open_timeout=>10,

:headers=>{:accept=>:json}, :user=>nil, :password=>nil, :ssl_client_cert=>#<OpenSSL::X509::Certificate:

subject=#<OpenSSL::X509::Name:0x007eff967e7880>, issuer=#<OpenSSL::X509::Name:0x007eff967e78a8>,

serial=#<OpenSSL::BN:0x007eff967e78d0>, not_before=2016-11-17 14:39:50 UTC, not_after=2021-11-17 14:39:50 UTC>,

:ssl_client_key=>#<OpenSSL::PKey::RSA:0x00000009de1a80>, :ssl_ca_file=>"/etc/puppetlabs/puppet/ssl/certs/ca.pem",

:verify_ssl=>1}, @resource=#<RestClient::Resource:0x00000009de1828 @url="

https://puppet4.wrt-nm.internl.net:8443/puppet/ca&quot;, @block=nil, @options={:timeout=>60, :open_timeout=>10,

:headers=>{:accept=>:json}, :user=>nil, :password=>nil, :ssl_client_cert=>#<OpenSSL::X509::Certificate:

subject=#<OpenSSL::X509::Name:0x007eff967e7088>, issuer=#<OpenSSL::X509::Name:0x007eff967e70b0>,

serial=#<OpenSSL::BN:0x007eff967e70d8>, not_before=2016-11-17 14:39:50 UTC, not_after=2021-11-17 14:39:50 UTC>,

:ssl_client_key=>#<OpenSSL::PKey::RSA:0x00000009de1a80>, :ssl_ca_file=>"/etc/puppetlabs/puppet/ssl/certs/ca.pem",

:verify_ssl=>1}>>>>, :smart_proxy_id=>"1-puppet4-wrt-nm-internl-net"} missing required keys: [:id]Oops, we're sorry but something

went wrong No route matches {:action=>"update", :controller=>"puppetca",

:id=>#<SmartProxies::PuppetCACertificate:0x00000009e98078 @name="foreman-proxy.mcollective/OU=mcollective", @state=nil,

@fingerprint=nil, @valid_from=2017-01-24 08:56:28 UTC, @expires_at=2022-01-24 08:56:28 UTC,

@status_object=#<ProxyStatus::PuppetCA:0x00000009d204c0 @proxy=#<SmartProxy id: 1, name: "puppet4.wrt-nm.internl.net",

url: "https://puppet4.wrt-nm.internl.net:8443&quot;, created_at: "2016-11-18 14:42:25", updated_at: "2016-11-18 14:42:25",

expired_logs: "0">, @cache_duration=180 seconds, @cache=true, @api=#<ProxyAPI::Puppetca:0x00000009dc6cf8 @url="

https://puppet4.wrt-nm.internl.net:8443/puppet/ca&quot;, @connect_params={:timeout=>60, :open_timeout=>10,

:headers=>{:accept=>:json}, :user=>nil, :password=>nil, :ssl_client_cert=>#<OpenSSL::X509::Certificate:

subject=#<OpenSSL::X509::Name:0x007eff967e7880>, issuer=#<OpenSSL::X509::Name:0x007eff967e78a8>,

serial=#<OpenSSL::BN:0x007eff967e78d0>, not_before=2016-11-17 14:39:50 UTC, not_after=2021-11-17 14:39:50 UTC>,

:ssl_client_key=>#<OpenSSL::PKey::RSA:0x00000009de1a80>, :ssl_ca_file=>"/etc/puppetlabs/puppet/ssl/certs/ca.pem",

:verify_ssl=>1}, @resource=#<RestClient::Resource:0x00000009de1828 @url="

https://puppet4.wrt-nm.internl.net:8443/puppet/ca&quot;, @block=nil, @options={:timeout=>60, :open_timeout=>10,

:headers=>{:accept=>:json}, :user=>nil, :password=>nil, :ssl_client_cert=>#<OpenSSL::X509::Certificate:

subject=#<OpenSSL::X509::Name:0x007eff967e7088>, issuer=#<OpenSSL::X509::Name:0x007eff967e70b0>,

serial=#<OpenSSL::BN:0x007eff967e70d8>, not_before=2016-11-17 14:39:50 UTC, not_after=2021-11-17 14:39:50 UTC>,

:ssl_client_key=>#<OpenSSL::PKey::RSA:0x00000009de1a80>, :ssl_ca_file=>"/etc/puppetlabs/puppet/ssl/certs/ca.pem",
:verify_ssl=>1}>>>>, :smart_proxy_id=>"1-puppet4-wrt-nm-internl-net"} missing required keys: [:id]

Related issues:

Is duplicate of Foreman - Bug #18040: Certificates with OU= give an error whe... Closed 01/12/2017

Has duplicate Foreman - Bug #21095: Puppet CA Certificate - ActionController:... Duplicate 09/25/2017

History

#1 - 01/25/2017 09:58 AM - Dominic Cleal

- Is duplicate of Bug #18040: Certificates with OU= give an error when listing smart-proxy cert list. added

#2 - 01/25/2017 09:58 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, this is being addressed under ticket #18040.

#3 - 09/26/2017 04:49 AM - Ewoud Kohl van Wijngaarden

- Has duplicate Bug #21095: Puppet CA Certificate - ActionController::UrlGenerationError added
